package com.ruoyi.programManagement.entity.request;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 行政区划书请求类
 */
@Data
public class BAdministrativeTreeRequest {
    /**
     * 所在县（市，区）
     */

    private String county;

    /**
     * 所在乡镇
     * （街道）
     */

    private String subdistrict;


    /**
     * 机构名称
     */

    private String institutionName;

    private List<BAdministrativeTreeRequest> children;


    public BAdministrativeTreeRequest(String county, String subdistrict,String institutionName) {
        this.county = county;
        this.subdistrict = subdistrict;
        this.institutionName=institutionName;
        this.children = new ArrayList<>();
    }

    public void addChild(BAdministrativeTreeRequest childDto) {
        this.children.add(childDto);
    }
}
